Bug 2031866 - Update package rapid-photo-downloader to latest version
Summary: Update package rapid-photo-downloader to latest version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rapid-photo-downloader
Version: 35
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-13 15:40 UTC by Damon Lynch
Modified: 2022-04-08 20:29 UTC (History)
5 users (show)

Fixed In Version: rapid-photo-downloader-0.9.33-1.fc36 rapid-photo-downloader-0.9.33-1.fc35
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-03 00:15:49 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 2012018 1 unspecified CLOSED Crash at start in fedora 35 Python 3.10 2022-04-08 20:29:11 UTC

Description Damon Lynch 2021-12-13 15:40:45 UTC
Rapid Photo Downloader 0.9.27 is the minimum version that will run on Fedora 35. It was released 12/12/2021. Fedora 35 uses Python 3.10. Earlier version of Rapid Photo Downloader crash on Python 3.10. See for instance bug #2012018.

Rapid Photo Downloader 0.9.27 contains new features, including enabling downloading from iOS devices and running under WSL 2.

New features mean new package requirements:

 - https://github.com/damonlynch/showinfilemanager (not yet packaged in Fedora)
 - libimobiledevice-utils
 - ifuse
 - fuse

These changes are detailed in the change log: https://github.com/damonlynch/rapid-photo-downloader/blob/main/CHANGES.md , which I encourage you to read.

(I neglected to mention the packages libimobiledevice-utils, ifuse & fuse in the README.md included in the 0.9.27 tarball, sorry about that).

The README contains other package requirements that are currently not included in the "Requires" section of the RPM spec. Is this intentional?


While you are updating the package, please update the package description to read like this:

"Rapid Photo Downloader is a Linux desktop application that imports photos 
and videos from cameras, phones, memory cards, and other devices at high 
speed. It is written by a photographer for professional and amateur photographers."

If you have any questions please do not hesitate to ask. I will do my best to respond ASAP.

If you would like me to play a more active role in the maintenance of the package, please also let me know. I am not currently a Fedora packager.

Comment 1 Fedora Update System 2022-04-02 00:09:15 UTC
FEDORA-2022-853254e9b9 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-853254e9b9

Comment 2 Fedora Update System 2022-04-02 00:09:52 UTC
FEDORA-2022-50a2685dce has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-50a2685dce

Comment 3 Fedora Update System 2022-04-03 00:15:49 UTC
FEDORA-2022-853254e9b9 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2022-04-03 00:29:11 UTC
FEDORA-2022-50a2685dce has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-50a2685dce`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-50a2685dce

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-04-08 20:29:13 UTC
FEDORA-2022-50a2685dce has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.